
QGIS Application - Bug report #20720

"QGIS 3 quit unexpectedly."

2018-12-04 04:41 PM - James Gaboardi

Status: Closed

Priority: Low

Assignee:

Category: OsX UI

Affected QGIS version:3.4.2 Regression?: No

Operating System: macOS Mojave v10.14.1 (18B75) Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 28540

Description

Every time QGIS is closed (on purpose) an error dialog is opened stating "QGIS 3 quit unexpectedly.". This does not seem to affect the

actual performance of QGIS. I have not been able to track down if it is a problem with my specific install or a larger issue.
Detailed install info:

    -  QGIS version -- 3.4.2-Madeira

    -  QGIS code branch -- Release 3.4

    -  Compiled against Qt -- 5.11.2

    -  Running against Qt -- 5.11.2

    -  Compiled against GDAL/OGR -- 2.3.2

    -  Running against GDAL/OGR -- 2.3.2

    -  Compiled against GEOS -- 3.7.0-CAPI-1.11.0

    -  Running against GEOS -- 3.7.0-CAPI-1.11.0 673b9939

    -  PostgreSQL Client Version -- 9.6.10

    -  SpatiaLite Version -- 4.4.0-RC1

    -  QWT Version -- 6.1.3

    -  QScintilla2 Version -- 2.10.8

    -  PROJ.4 Version -- 493

    -  Python version -- 3.6.5 (v3.6.5:f59c0932b4, Mar 28 2018, 03:03:55) \n[GCC 4.2.1 (Apple Inc. build 5666) (dot 3)]'

Related issues:

Duplicated by QGIS Application - Bug report # 20766: QGIS 3.4.2 crashes upon ... Closed 2018-12-10

History

#1 - 2018-12-04 04:47 PM - James Gaboardi

Appears to be similar to bug report #19991

#2 - 2018-12-04 10:32 PM - Jonas Küpper

maybe the crash report would help?

open the Application "Console" (its under Applications->Utilities) and select "User Reports" on the left. This is where my mac stores the crash reports.

#3 - 2018-12-04 11:20 PM - James Gaboardi

- File qgis_crash_report.txt added
LOL. You are right. That would help and I am not sure why I didn't think to include it first.

#4 - 2018-12-06 09:34 AM - Giovanni Manghi

- Duplicates Bug report #20697: QGIS 3.4.2 crashes on exit added

#5 - 2018-12-06 09:43 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to duplicate

#6 - 2018-12-12 08:43 AM - Jürgen Fischer

- Duplicates deleted (Bug report #20697: QGIS 3.4.2 crashes on exit)

#7 - 2018-12-12 08:43 AM - Jürgen Fischer

- Duplicated by Bug report #20766: QGIS 3.4.2 crashes upon exit added
